/*
 *	dq3character.h
 *		Copyright (C)2001-2003 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(DQ3CHARACTER_H)
#define DQ3CHARACTER_H

#define NUM_CHRLV	99

struct chrlvupparam_tag
{
	long experience_point;		/* ol */
	int hit_point;				/* qbg|Cg */
	int magic_power;			/* }WbNp[ */
	int strength;				/*  */
	int agility;				/* f */
	int stamina;				/* ̗ */
	int intelligence;			/*  */
	int luck;					/* ^̂悳 */
};

typedef struct chrlvup_t
{
	struct chrlvupparam_tag level[NUM_CHRLV];
} chrlvup_t;

const char *chr_getclassname(int index);
chrlvup_t *chr_readlvup(void);
int chr_writelvup(const char *ptr_filename, const chrlvup_t *ptr_chrlvup);

#endif /* DQ3CHARACTER_H */
