/*
 *	dq6character.h
 *		Copyright (C)2001-2003 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#if !defined(DQ6CHARACTER_H)
#define DQ6CHARACTER_H

#define NUM_CHRLV	99

struct chrlvupparam_tag
{
	long experience_point;		/* ol */
	int hit_point;				/* qbg|Cg */
	int magic_power;			/* }WbNp[ */
	int strength;				/*  */
	int agility;				/* f */
	int defense;				/* g̎ */
	int intelligence;			/*  */
	int style;					/* 悳 */
};

typedef struct chrlvup_tag
{
	int level_max;		/* ő僌x */
	struct chrlvupparam_tag level[NUM_CHRLV];
} chrlvup_t;

typedef struct chrdata_tag
{
	int name_index;			/* LN^\̃CfbNX */
	int titlename_index;	/* \̃CfbNX */
	int initial_level;		/* x */

	int regist_blaze;		/* n̑ϐ  */
	int regist_firebane;	/* Mn̑ϐ  */
	int regist_explodet;	/* CIn̑ϐ */
	int regist_snowstorm;	/* qhn̑ϐ */
	int regist_infernos;	/* oMn̑ϐ */
	int regist_lightning;	/* fCn̑ϐ */
	int regist_surround;	/* }k[T̑ϐ */
	int regist_sleep;		/* z[̑ϐ */
	int regist_defeat;		/* ULn̑ϐ */
	int regist_expell;		/* jt̑ϐ */
	int regist_robmagic;	/* }zg̑ϐ*/
	int regist_stopspell;	/* }zg[̑ϐ */
	int regist_chaos;		/* _pj̑ϐ */
	int regist_defense;		/* Jin̑ϐ */
	int regist_poison;		/* ōȖϐ */
	int regist_stun;		/* sn̑ϐ */
	int regist_stopdance;	/* x蕕̑ϐ */
	int regist_fire;		/* ̑ϐ */
	int regist_ice;			/* ̑ϐ */
	int regist_rock;		/* ΌnȖϐ */
	int regist_paralysis;	/* Ⴢ̑ϐ */
	int regist_army;		/* RĂт̑ϐ */

	int grow_pattern;		/* p^[ */
	int equipment_no[5];	/* i */
} chrdata_t;

const char *chr_getname(int index);
const char *chr_gettitlename(int index);
chrdata_t *chr_readdata(void);
chrlvup_t *chr_readlvup(void);
int chr_writeregist(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writeequip(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writelvup(const char *ptr_filename, const chrlvup_t *ptr_chrlvup);

#endif /* DQ6CHARACTER_H */
