/*
 *	ff7savedata.h
 *		Copyright (C)2003 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#ifndef FF7SAVEDATA_H
#define FF7SAVEDATA_H

#define NUM_CHR			9
#define NUM_CHRLOVE		4

typedef struct savchrdata_tag
{
	char name[256];			/* O */
	int level;				/* x */
	long hit_point;			/* ݂̃qbg|Cg */
	long hit_point_max;		/* őqbg|Cg */
	long hit_point_cng;		/* ␳̃qbg|Cg */
	long magic_point;		/* ݂̃}WbN|Cg */
	long magic_point_max;	/* ő}WbN|Cg */
	long magic_point_cng;	/* ␳̃}WbN|Cg */
	long experience_point;	/* ol */
	int strength;			/*  */
	int speed;				/* f */
	int stamina;			/* ̗ */
	int magic_power;		/*  */
	int will_power;			/* _ */
	int luck;				/* ^ */
} savchrdata_t;

typedef struct savedata_tag
{
	char title[64 + 1];			/* Z[uf[^̃^Cg(Shift_JIS) */
	savchrdata_t chr[NUM_CHR];	/* eLN^̃Xe[^X */
	int love_talk[NUM_CHRLOVE];	/* Dx(b̑Iŕω) */
	int love_btl[NUM_CHRLOVE];	/* Dx(퓬̍sŕω) */
} savedata_t;

savedata_t *sav_readdata(const unsigned char *ptr_buf);
int sav_writetitle(FILE *stream, const savedata_t *ptr_savedata);
int sav_writestatus(FILE *stream, const savedata_t *ptr_savedata);
int sav_writelove(FILE *stream, const savedata_t *ptr_savedata);

#endif /* FF7SAVEDATA_H */
