/*
 *	rs3character.h
 *		Copyright (C)2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#ifndef RS3CHARACTER_H
#define RS3CHARACTER_H

typedef struct chrdata_tag
{
	long hit_point;				/* qbg|Cg */
	int life_point;				/* Ct|Cg */
	int tech_point;				/* Z|Cg */
	int mag_point;				/* p|Cg */
	int strength;				/* r */
	int dexterity;				/* p */
	int speed;					/* f */
	int stamina;				/* ̗ */
	int magic_power;			/*  */
	int will_power;				/* ӎu */
	int charm;					/*  */
	int level_sword;			/* E匕x */
	int level_axe;				/* E_x */
	int level_spear;			/* Ex */
	int level_bow;				/* |x */
	int level_punch;			/* ̏px */
	int level_wind;				/* px */
	int level_fire;				/* 钹px */
	int level_earth;			/* Տpx */
	int level_water;			/* px */
	int level_sun;				/* zpx */
	int level_moon;				/* px */
	int level_unknown;			/* sx */
	int lvup_hit_point;			/* qbg|Cg̏オ₷ */
	int lvup_tech_point;		/* Z|Cg̏オ₷ */
	int lvup_mag_point;			/* p|Cg̏オ₷ */
	int lvup_sword;				/* E匕x̏オ₷ */
	int lvup_axe;				/* E_x̏オ₷ */
	int lvup_spear;				/* Ex̏オ₷ */
	int lvup_bow;				/* |x̏オ₷ */
	int lvup_punch;				/* ̏px̏オ₷ */
	int lvup_wind;				/* px̏オ₷ */
	int lvup_fire;				/* 钹px̏オ₷ */
	int lvup_earth;				/* Տpx̏オ₷ */
	int lvup_water;				/* px̏オ₷ */
	int lvup_sun;				/* zpx̏オ₷ */
	int lvup_moon;				/* px̏オ₷ */
	int type_star;				/* h */
	int type_weapon;			/* ӕ */
	int type_mag;				/* ӏp */
	int type_tech_learn;		/* ZM̃^Cv */
	int type_levelup;			/* ^Cv */
	int formation_no;			/* Lw`̔ԍ */
	int flag_unknown;			/* stO */
	int flag_undead;			/* Afbhnł */
	int flag_woman;				/* ł */
	int flag_man;				/* jł */
	int flag_grow_hit_point;	/* p[eBOĂԂɃqbg|Cg邩ǂ */
	int flag_grow_level_sword;	/* p[eBOĂԂɌE匕x邩ǂ */
	int flag_grow_level_axe;	/* p[eBOĂԂɕE_x邩ǂ */
	int flag_grow_level_spear;	/* p[eBOĂԂɑEx邩ǂ */
	int flag_grow_level_bow;	/* p[eBOĂԂɋ|x邩ǂ */
	int flag_grow_level_punch;	/* p[eBOĂԂɑ̏px邩ǂ */
	int flag_grow_level_earth;	/* p[eBOĂԂɒnn̏px邩ǂ */
	int flag_grow_level_heaven;	/* p[eBOĂԂɓVn̏px邩ǂ */
	int flag_grow_level_unknown;/* p[eBOĂԂɕsx邩ǂ */
	int tech_no[4];				/* CĂZ */
	int mag_no[4];				/* CĂp */
	int equipment_no[8];		/* ACe */
} chrdata_t;

const char *chr_getname(int index);
const char *chr_getname2(int index);
chrdata_t *chr_readdata(void);
int chr_writeparam(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writelvup(const char *ptr_filename, const chrdata_t *ptr_chrdata);
int chr_writeflag(const char *ptr_filename, const chrdata_t *ptr_chrdata);

#endif /* RS3CHARACTER_H */
